curl --request POST \
--url https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/documents/analyze \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Frankie-CustomerID: <x-frankie-customerid>' \
--header 'api_key: <api_key>' \
--data '
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"documentId": "92de15f64-5717-4562-b3fc-2c963f6665a7",
"analysisType": "TRUST_DOCUMENT",
"supplementaryInformation": {
"trust": {}
}
}
'import requests
url = "https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/documents/analyze"
payload = {
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"documentId": "92de15f64-5717-4562-b3fc-2c963f6665a7",
"analysisType": "TRUST_DOCUMENT",
"supplementaryInformation": { "trust": {} }
}
headers = {
"X-Frankie-CustomerID": "<x-frankie-customerid>",
"api_key": "<api_key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Frankie-CustomerID': '<x-frankie-customerid>',
api_key: '<api_key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
entityId: '3fa85f64-5717-4562-b3fc-2c963f66afa6',
documentId: '92de15f64-5717-4562-b3fc-2c963f6665a7',
analysisType: 'TRUST_DOCUMENT',
supplementaryInformation: {trust: {}}
})
};
fetch('https://api.kycaml.frankiefinancial.io/experimental/v2/organizations/documents/analyze', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entityId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"analysis": {
"documentId": "92de15f64-5717-4562-b3fc-2c963f6665a7",
"analysisId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"type": "TRUST_DOCUMENT"
},
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}{
"errorCode": "<string>",
"errorMsg": "<string>",
"details": [
{
"issue": "<string>",
"issueLocation": "<string>",
"issueType": "<string>"
}
],
"requestId": "01HN9XHZN6MGXM9JXG50K59Q85"
}Document Analyze
Begin a Document Analysis
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Your Customer ID provided by FrankieOne
"12345678-1234-1234-1234-123456789012"
Your Customer Child ID provided by FrankieOne
"87654321-4321-4321-4321-210987654321"
Open string that can be used to define the "channel" the request comes in from. It can potentially be used in routing and risk calculations upon request. Default values that can be used are: api portal smartui Any alphanumeric string is supported though. Anything over 64 characters will be truncated.
Your API key provided by FrankieOne
"245c765b124a098d09ef8765...."
Body
Entity's are assigned an auto-generated UUID to ensure global uniqueness, represented as an entityId. The entityId allows for precise modification when required. To modify an entity, set the entityId of the entity you wish to update in an update request call.
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
As documents are added to an entity, they are assigned a unique identifier to assist with modification and reference. To modify a document, include the documentId in an update request.
"92de15f64-5717-4562-b3fc-2c963f6665a7"
The type of document analysis to perform
TRUST_DOCUMENT Show child attributes
Show child attributes
Response
Accepted
Entities are assigned a FrankieOne auto-generated UUID to ensure global uniqueness, represented as entityId. The entityId allows for precise modification when required. To modify an entity, set the entityId of the entity you wish to update in an update request.
"3fa85f64-5717-4562-b3fc-2c963f66afa6"
Information about the document analysis operation itself.
Show child attributes
Show child attributes
The unique request identifier for the API call made.
"01HN9XHZN6MGXM9JXG50K59Q85"
Was this page helpful?